'Writing PICAXE BASIC Code
'PICAXE Tutorial
'Experiment: Pushbutton Switch to LEDs
'4 Sep 2015
'Schematic: PA-08M2 Coding Test Circuit.dch
'Code: Pushbutton Switch to LEDs 1.bas
'Overview: Turn a green LED on for 1 second whenever a
	'pushbutton switch is pushed.
#picaxe 08m2 'Identify the PICAXE being used as an 08M2.
#no_data 'Prevent data from being downloaded to PICAXE.
	symbol g_led = C.2 'Assign g_led to represent pinC.2.
	symbol y_led = C.1 'Assign t_led to represent pinC.1.
	symbol r_led = C.0 'Assign r_led to represent pinC.0.
	symbol light = 1 'Assign light to represent 1 second.
	symbol p_button = pinC.3 'Assign p_button to represent pinC.3.
	main: 'Start 'main' program.
		if p_button = 0 then 'If p_button is low, proceed. 
			high g_led 'Turn the green LED on.
			wait light 'Wait for light time with green LED on.
			low g_led 'Turn the green LED off.
		endif 'End the if execution.
	goto main 'Go to 'main' program.